{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}
{% import 'macro/_sitting_tabs.html.twig' as macroTab %}
{% import 'macro/_sitting_nav.html.twig' as macroNav %}


{% block body %}
    {{ include('include/flash.html.twig') }}
    <div class="col-12">
{#        {{ breadcrumbs() }}#}
    </div>

    <div class="d-flex align-items-center col-12 mt-3">
        <h1 class="flex-grow-1">Détail de la séance</h1>
        {% if not sitting.isArchived %}
            {{ macroNav.toogleView( path('edit_sitting_information', {'id': sitting.id}) , 'show') }}
        {% endif %}
    </div>

    <div class="col-12">
        <div class="mt-4">
            {{ macro.backButton('sitting_index', {'status' : sitting.isArchived ? 'archived' : 'active'}) }}
        </div>

        <div class="col-12 px-3 form-white mt-4">
            {{ macroTab.showTabs('information', sitting) }}

            <h2 class="mb-5">Informations générales</h2>
            <div class="row">
                <div class="col-4 text-end">
                    <b>Type :</b>
                </div>
                <div class="col-8">
                    {{ sitting.name }}
                </div>
            </div>

            <div class="row mt-3">
                <div class="col-4 text-end">
                    <b>Date :</b>
                </div>
                <div class="col-8">
                    {{ sitting.date | date('d/m/Y : H:i' , timezone) }}
                </div>
            </div>

            {% if sitting.reminder and sitting.reminder.isActive %}
                <div class="row mt-3">
                    <div class="col-4 text-end">
                        <b>Durée de la séance :</b>
                    </div>
                    <div class="col-8">
                        {{ sitting.reminder.duration | minutesOrHours }}
                    </div>
                </div>
            {% endif %}

            <div class="row mt-3">
                <div class="col-4 text-end">
                    <b>Lieu :</b>
                </div>
                <div class="col-8">
                    {{ sitting.place | default('') }}
                </div>
            </div>

            <div class="row mt-3">
                <div class="col-4 text-end">
                    <b>Autoriser la participation à distance :</b>
                </div>
                <div class="col-8">
                    {{ sitting.isRemoteAllowed ? 'Oui' : 'Non' }}
                </div>
            </div>

            <div class="row mt-3">
                <div class="col-4 text-end">
                    <b>Autoriser les mandataires  :</b>
                </div>
                <div class="col-8">
                    {{ sitting.isMandatorAllowed ? 'Oui' : 'Non' }}
                </div>
            </div>

            <div class="row mt-2 align-bottom">
                <div class="col-4 text-end align-bottom mt-1">
                    <b>Convocation :</b>
                </div>
                <div class="col-8">
                    {{ sitting.convocationFile.name }}
                    <a class="btn btn-outline-secondary borderless"
                       href="{{ path('file_download', {'id': sitting.convocationFile.id}) }}"
                       title="Télécharger la convocation">
                        <span class="fas fa-download"></span>
                    </a>
                </div>
            </div>

            {% if sitting.invitationFile %}
                <div class="row mt-2 align-bottom">
                    <div class="col-4 text-end align-bottom mt-1">
                        <b>Invitation :</b>
                    </div>
                    <div class="col-8">
                        {{ sitting.invitationFile.name }}
                        <a class="btn btn-outline-secondary borderless"
                           href="{{ path('file_download', {'id': sitting.invitationFile.id}) }}"
                           title="Télécharger l'invitation'">
                            <span class="fas fa-download"></span>
                        </a>
                    </div>
                </div>
            {% endif %}

            <div class="row mt-2">
                <div class="col-4 text-end mt-1">
                    <b>Zip de la séance :</b>
                </div>
                <div class="col-8">
                    {% if isTotalSizeTooBig == true %}
                        <div class="text-warning mt-1"><i class="fa fa-exclamation-triangle"></i> Le ZIP de la séance n'a pas été généré car le poids total des fichiers dépasse 200 Mo - Poids total : {{ totalFilesSize|sizeFormatter }} </div>
                    {% endif %}
                    {% if isTotalSizeTooBig == false %}
                        {{ sitting.name }}.zip
                        <a class="btn btn-outline-secondary borderless"
                           href="{{ path('sitting_zip', {'id': sitting.id}) }}"
                           title="Télécharger le zip">
                            <span class="fas fa-download"></span>
                        </a>
                    {% endif %}
                </div>
            </div>

            <div class="row mt-2">
                <div class="col-4 text-end mt-1">
                    <b>Pdf complet de la séance :</b>
                </div>
                <div class="col-8">
                    {% if isTotalSizeTooBig %}
                        <div class="text-warning mt-1"> <i class="fa fa-exclamation-triangle"></i> Le PDF complet de la séance n'a pas été généré car le poids total des fichiers dépasse 200 Mo - Poids total : {{ totalFilesSize|sizeFormatter }} </div>
                    {% endif %}
                    {% if isTotalSizeTooBig == false %}
                        {{ sitting.name }}.pdf
                        <a class="btn btn-outline-secondary borderless"
                           href="{{ path('sitting_full_pdf', {'id': sitting.id}) }}"
                           title="Télécharger le pdf">
                            <span class="fas fa-download"></span>
                        </a>
                    {% endif %}
                </div>
            </div>

            <div class="row mt-2">
                <div class="col-4 text-end mt-1">
                    <b>Rapport pdf de la séance :</b>
                </div>
                <div class="col-8">
                    {{ sitting.name }}_rapport.pdf
                    <a class="btn btn-outline-secondary borderless"
                       href="{{ path('sitting_report_pdf', {'id': sitting.id}) }}"
                       title="Télécharger le rapport">
                        <span class="fas fa-download"></span>
                    </a>
                </div>
            </div>


            <div class="row mt-2">
                <div class="col-4 text-end mt-1">
                    <b>Rapport csv de la séance :</b>
                </div>
                <div class="col-8">
                    {{ sitting.name }}_rapport.csv
                    <a class="btn btn-outline-secondary borderless"
                       href="{{ path('sitting_report_csv', {'id': sitting.id}) }}"
                       title="Télécharger le rapport">
                        <span class="fas fa-download"></span>
                    </a>
                </div>
            </div>

            {% if isAlreadySent %}
                <div class="row mt-2">
                    <div class="col-4 text-end mt-1">
                        <b>Jetons d'horodatage :</b>
                    </div>
                    <div class="col-8">
                        {{ sitting.name }}_jetons.zip
                        <a class="btn btn-outline-secondary borderless"
                           href="{{ path('sitting_report_token', {'id': sitting.id}) }}"
                           title="Télécharger les jetons">
                            <span class="fas fa-download"></span>
                        </a>
                    </div>
                </div>

                <div class="row mt-2">
                    <div class="col-4 text-end mt-1">
                        <b>Vérifier le jeton d'horodatage :</b>
                    </div>
                    <div class="col-8">
                        Vérifier les jetons d'horodatage
                        <a href="{{ path('timestamp_list_sitting', {'id': sitting.id}) }}" class="btn btn-outline-secondary borderless" title="Vérifier les jetons d'horodatage">
                            <i class="fa fa-clock-rotate-left"></i>
                        </a>
                    </div>
                </div>
            {% endif %}

{#            {% if isActiveLsvote and not isLsvoteResults and isSentLsvote %}#}
{#                <div class="row mt-2">#}
{#                    <div class="col-4 text-end mt-1">#}
{#                        <b>Récupérer les résultats depuis lsvote :</b>#}
{#                    </div>#}
{#                    <div class="col-8">#}
{#                        {{ macro.fetchLsvoteResults(#}
{#                            sitting.nameWithDate,#}
{#                            sitting.id,#}

{#                        ) }}#}
{#                    </div>#}
{#                </div>#}
{#            {% endif %}#}


{#            {% if isLsvoteResults %}#}
{#                <div class="row mt-2">#}
{#                    <div class="col-4 text-end mt-1">#}
{#                        <b>Télécharger le rapport des résultats en json :</b>#}
{#                    </div>#}
{#                    <div class="col-8">#}
{#                        {{ sitting.name }}_results_lsvote.json#}
{#                        <a class="btn btn-outline-secondary borderless"#}
{#                           href="{{ path('sitting_lsvote_results_json', {'id': sitting.id}) }}"#}
{#                           title="Télécharger les résultats">#}
{#                            <span class="fas fa-download"></span>#}
{#                        </a>#}
{#                    </div>#}
{#                </div>#}

{#                <div class="row mt-2">#}
{#                    <div class="col-4 text-end mt-1">#}
{#                        <b>Télécharger le rapport des résultats en pdf :</b>#}
{#                    </div>#}
{#                    <div class="col-8">#}
{#                        {{ sitting.name }}_results_lsvote.pdf#}
{#                        <a class="btn btn-outline-secondary borderless"#}
{#                           href="{{ path('sitting_lsvote_results_pdf', {'id': sitting.id}) }}"#}
{#                           title="Télécharger les résultats">#}
{#                            <span class="fas fa-download"></span>#}
{#                        </a>#}
{#                    </div>#}
{#                </div>#}
{#            {% endif %}#}



        </div>

    </div>


{% endblock %}

